# Function deleteAttachments

- deleteAttachments(feature, layer, attachments): Promise<void>

- Deletes attachments from a feature.

  #### Parameters

  - feature: Feature

    The feature to delete attachments from.

  - layer: AttachmentEnabledLayer

    The layer that the feature belongs to.

  - attachments: (string | Attachment)[]

    The attachments or attachment IDs to delete.

  #### Returns Promise<void>